API referenceEmails

List emails

GET/emails

Sent and scheduled emails, newest first, cursor-paginated.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "scheduled"
  • "queued"
  • "sent"
  • "delivered"
  • "delivery_delayed"
  • "opened"
  • "clicked"
  • "bounced"
  • "complained"
  • "rejected"
  • "failed"
  • "suppressed"
  • "canceled"
query?string
Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/emails"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "email",      "id": "string",      "from": "string",      "to": [        "string"      ],      "cc": [        "string"      ],      "bcc": [        "string"      ],      "reply_to": [        "string"      ],      "subject": "string",      "created_at": "2019-08-24T14:15:22Z",      "scheduled_at": "2019-08-24T14:15:22Z",      "last_event": "scheduled",      "tags": [        {          "name": "string",          "value": "string"        }      ]    }  ]}